Package org.gradle.api.plugins

# Interface ExtensionsSchema.ExtensionSchema

All Superinterfaces:
  `NamedDomainObjectCollectionSchema.NamedDomainObjectSchema`

Enclosing interface:
  `ExtensionsSchema`

public static interface ExtensionsSchema.ExtensionSchema extends NamedDomainObjectCollectionSchema.NamedDomainObjectSchema
Schema of an extension.

Since:
  4.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  The name of the extension.
  `TypeOf<?>`
  `getPublicType()`
  The public type of the extension.

- ## Method Details

  - ### getName

    String getName()
    The name of the extension.
    Specified by:
      `getName` in interface `NamedDomainObjectCollectionSchema.NamedDomainObjectSchema`
    Returns:
      the name of the extension

  - ### getPublicType

    TypeOf<?> getPublicType()
    The public type of the extension.
    Specified by:
      `getPublicType` in interface `NamedDomainObjectCollectionSchema.NamedDomainObjectSchema`
    Returns:
      the public type of the extension